# Created by pyp2rpm-3.3.10
%global pypi_name copr-cli
%global pypi_version 2.0

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        CLI tool to run copr

License:        GPLv2+
URL:            https://github.com/fedora-copr/copr
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(copr)
BuildRequires:  python3dist(humanize)
BuildRequires:  python3dist(jinja2)
BuildRequires:  python3dist(setuptools)

%description
Copr is designed to be a lightweight buildsystem that allows contributors to
create packages, put them in repositories, and make it easy for users to
install the packages onto their system. Within the Fedora Project it is used to
allow packagers to create third party repositories.This part is a command line
interface to use copr.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(copr)
Requires:       python3dist(humanize)
Requires:       python3dist(jinja2)
Requires:       python3dist(setuptools)
%description -n python3-%{pypi_name}
Copr is designed to be a lightweight buildsystem that allows contributors to
create packages, put them in repositories, and make it easy for users to
install the packages onto their system. Within the Fedora Project it is used to
allow packagers to create third party repositories.This part is a command line
interface to use copr.


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc copr_cli/README.rst
%{_bindir}/copr-cli
%{python3_sitelib}/copr_cli
%{python3_sitelib}/copr_cli-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Wed Nov 20 2024 mockbuilder - 2.0-1
- Initial package.